import { Serializer } from '@metaplex-foundation/umi/serializers';
import { Key } from '../generated';
import { RuleSetRevision, RuleSetRevisionMap } from '../revisions';
export declare type RuleSetAccountData = {
    key: Key;
    latestRevision: RuleSetRevision;
    revisions: RuleSetRevision[];
    revisionMap: RuleSetRevisionMap;
};
export declare type RuleSetAccountDataArgs = RuleSetAccountData;
export declare const getRuleSetAccountDataSerializer: () => Serializer<RuleSetAccountDataArgs, RuleSetAccountData>;
