import type { RuleV2 } from '../v2';
import type { PublicKeyAsArrayOfBytes } from './publicKey';
import { RuleV1 } from './rule';
export declare type PubkeyListMatchRuleV1 = {
    PubkeyListMatch: {
        pubkeys: PublicKeyAsArrayOfBytes[];
        field: string;
    };
};
export declare const isPubkeyListMatchRuleV1: (rule: RuleV1 | RuleV2) => rule is PubkeyListMatchRuleV1;
