import { PublicKey, PublicKeyInput } from '@metaplex-foundation/umi';
import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type AdditionalSignerRuleV2 = {
    type: 'AdditionalSigner';
    publicKey: PublicKey;
};
export declare const additionalSignerV2: (publicKey: PublicKeyInput) => AdditionalSignerRuleV2;
export declare const getAdditionalSignerRuleV2Serializer: () => Serializer<AdditionalSignerRuleV2>;
export declare const isAdditionalSignerRuleV2: (rule: RuleV1 | RuleV2) => rule is AdditionalSignerRuleV2;
