import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type AllRuleV2 = {
    type: 'All';
    rules: RuleV2[];
};
export declare const allV2: (rules: RuleV2[]) => AllRuleV2;
export declare const getAllRuleV2Serializer: () => Serializer<AllRuleV2>;
export declare const isAllRuleV2: (rule: RuleV1 | RuleV2) => rule is AllRuleV2;
