import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type AnyRuleV2 = {
    type: 'Any';
    rules: RuleV2[];
};
export declare const anyV2: (rules: RuleV2[]) => AnyRuleV2;
export declare const getAnyRuleV2Serializer: () => Serializer<AnyRuleV2>;
export declare const isAnyRuleV2: (rule: RuleV1 | RuleV2) => rule is AnyRuleV2;
