import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type NamespaceRuleV2 = {
    type: 'Namespace';
};
export declare const namespaceV2: () => NamespaceRuleV2;
export declare const getNamespaceRuleV2Serializer: () => Serializer<NamespaceRuleV2>;
export declare const isNamespaceRuleV2: (rule: RuleV1 | RuleV2) => rule is NamespaceRuleV2;
