import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type PassRuleV2 = {
    type: 'Pass';
};
export declare const passV2: () => PassRuleV2;
export declare const getPassRuleV2Serializer: () => Serializer<PassRuleV2>;
export declare const isPassRuleV2: (rule: RuleV1 | RuleV2) => rule is PassRuleV2;
