import { PublicKey, PublicKeyInput } from '@metaplex-foundation/umi';
import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type PdaMatchRuleV2 = {
    type: 'PdaMatch';
    pdaField: string;
    program: PublicKey;
    seedsField: string;
};
export declare const pdaMatchV2: (pdaField: string, program: PublicKeyInput, seedsField: string) => PdaMatchRuleV2;
export declare const getPdaMatchRuleV2Serializer: () => Serializer<PdaMatchRuleV2>;
export declare const isPdaMatchRuleV2: (rule: RuleV1 | RuleV2) => rule is PdaMatchRuleV2;
