import { PublicKey, PublicKeyInput } from '@metaplex-foundation/umi';
import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type PubkeyMatchRuleV2 = {
    type: 'PubkeyMatch';
    field: string;
    publicKey: PublicKey;
};
export declare const pubkeyMatchV2: (field: string, publicKey: PublicKeyInput) => PubkeyMatchRuleV2;
export declare const getPubkeyMatchRuleV2Serializer: () => Serializer<PubkeyMatchRuleV2>;
export declare const isPubkeyMatchRuleV2: (rule: RuleV1 | RuleV2) => rule is PubkeyMatchRuleV2;
