import type { RuleV2 } from '../v2';
import { PublicKeyAsArrayOfBytes } from './publicKey';
import { RuleV1 } from './rule';
export declare type AdditionalSignerRuleV1 = {
    AdditionalSigner: {
        account: PublicKeyAsArrayOfBytes;
    };
};
export declare const isAdditionalSignerRuleV1: (rule: RuleV1 | RuleV2) => rule is AdditionalSignerRuleV1;
