import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type NotRuleV2 = {
    type: 'Not';
    rule: RuleV2;
};
export declare const notV2: (rule: RuleV2) => NotRuleV2;
export declare const getNotRuleV2Serializer: () => Serializer<NotRuleV2>;
export declare const isNotRuleV2: (rule: RuleV1 | RuleV2) => rule is NotRuleV2;
