import { PublicKey, PublicKeyInput } from '@metaplex-foundation/umi';
import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type ProgramOwnedRuleV2 = {
    type: 'ProgramOwned';
    field: string;
    program: PublicKey;
};
export declare const programOwnedV2: (field: string, program: PublicKeyInput) => ProgramOwnedRuleV2;
export declare const getProgramOwnedRuleV2Serializer: () => Serializer<ProgramOwnedRuleV2>;
export declare const isProgramOwnedRuleV2: (rule: RuleV1 | RuleV2) => rule is ProgramOwnedRuleV2;
