import { PublicKey, PublicKeyInput } from '@metaplex-foundation/umi';
import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type ProgramOwnedListRuleV2 = {
    type: 'ProgramOwnedList';
    field: string;
    programs: PublicKey[];
};
export declare const programOwnedListV2: (field: string, programs: PublicKeyInput[]) => ProgramOwnedListRuleV2;
export declare const getProgramOwnedListRuleV2Serializer: () => Serializer<ProgramOwnedListRuleV2>;
export declare const isProgramOwnedListRuleV2: (rule: RuleV1 | RuleV2) => rule is ProgramOwnedListRuleV2;
