import { PublicKey, PublicKeyInput } from '@metaplex-foundation/umi';
import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type PubkeyListMatchRuleV2 = {
    type: 'PubkeyListMatch';
    field: string;
    publicKeys: PublicKey[];
};
export declare const pubkeyListMatchV2: (field: string, publicKeys: PublicKeyInput[]) => PubkeyListMatchRuleV2;
export declare const getPubkeyListMatchRuleV2Serializer: () => Serializer<PubkeyListMatchRuleV2>;
export declare const isPubkeyListMatchRuleV2: (rule: RuleV1 | RuleV2) => rule is PubkeyListMatchRuleV2;
