import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type PubkeyTreeMatchRuleV2 = {
    type: 'PubkeyTreeMatch';
    pubkeyField: string;
    proofField: string;
    root: number[];
};
export declare const pubkeyTreeMatchV2: (pubkeyField: string, proofField: string, root: Uint8Array | number[]) => PubkeyTreeMatchRuleV2;
export declare const getPubkeyTreeMatchRuleV2Serializer: () => Serializer<PubkeyTreeMatchRuleV2>;
export declare const isPubkeyTreeMatchRuleV2: (rule: RuleV1 | RuleV2) => rule is PubkeyTreeMatchRuleV2;
