import { Serializer } from '@metaplex-foundation/umi/serializers';
import { RuleTypeV2 } from './ruleType';
export declare type RuleHeaderV2 = {
    type: number;
    length: number;
};
export declare const getRuleHeaderV2Serializer: () => Serializer<RuleHeaderV2>;
export declare const wrapSerializerInRuleHeaderV2: <T extends {
    type: string;
}>(type: RuleTypeV2, serializer: Serializer<Omit<T, "type">, Omit<T, "type">>) => Serializer<T, T>;
